*{ /* padronização universal do formulário */
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, input, button {
font-family: 'Poppins', sans-serif;
}

body{
    background-color: #EFEFEF ;
}

body::before{
    content: '';
    width: 100%;
    height: 436px;

    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    
    background-color: #535971;
}

.page{ /* informações da parte do formulario, local onde estão os campos*/
    width: 750px;
    margin: 0 auto;
}

header{
    width: 417px;
    margin-top: 140px;
}

header h1 {
    font-family: 'Staatliches', cursive;
    font-weight: 400;
    font-size: 48px;
    line-height: 60px;

    color: #FFFFFF;

    margin-bottom: 18px;
}

header p{
    font-size: 20px;
    line-height: 30px;
    font-style: normal;
    
    color: #FFFFFF;
}

form {
    margin-top: 58px;
    background-color: #FFFFFF;
    border-radius:  20px 20px 0px 0px;
    min-height: 300px;

    padding: 64px;;
    
    display: flex;
    flex-direction: column;
    gap: 48px; 

}

fieldset{
    border: none;
}

.fieldset-wrapper{
    display: flex;
    flex-direction: column;
    gap: 36px;

}

.fieldset-wrapper legend{
    font-family: 'Staatliches';
    font-weight: 400;
    font-size: 24px;
    line-height: 34px;
    color: #535971;

    width: 100%;

    border-bottom: 1px solid #E6E6F0;
    padding-top: 16px;
}

.input-wrapper{
    display: flex;
    flex-direction: column;
}

.input-wrapper label{
    font-family: 'Poppins';
    font-size: 14px;
    line-height: 24px;
    color: #4E4958;

    margin-bottom: 8px;
}

.input-wrapper label span{
    font-size: 12px;
    line-height: 20px;
    color: #C1BCCC;

    margin-left: 9px;
}

.input-wrapper label span:hover{
    color:#9d94b1;
}

.input-wrapper input{
    background: #FAFAFC;

    border: 1px solid #E6E6F0;
    border-radius: 8px;

    height: 56px;
    padding: 0 24px;

    font-size: 16px;
    line-height: 26px;
}

.col-3{
    display: flex;
    gap: 20px;
    
}


.col-3 > div:nth-child(1){ /* > significa no primeiro nivel da div, e entre () qual é o numero correspondente do que eu quero alterar*/
    width: 100%;
}

#first, #second{
    border-bottom: none;
    font-style: normal;
    font-size: 20px;
    padding-bottom: 8px;
}

footer{
    background: #535971;

    height: 160px;

    display: flex;
    flex-direction: column;

    padding: 50px 71px;
    margin-bottom: 100px;

    border-radius: 0px 0px 20px 20px;
}

footer .button{
    height:55.65px;
    background: #FF5374;
    border-radius: 20px;
    border: 0;
    
    font-family: 'Staatliches';
    font-weight: 400;
    font-size: 20px;
    line-height: 26px;

    color: #FFFFFF;
}

footer .button:hover{
    background-color: #f1edee;
    color:#FF5374;
    font-style: bold;

}

input:invalid{
    border: 1px solid #a7203b;
}
